Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.captcha
Class CaptchaImage

    java.lang.Object
      org.jboss.seam.servlet.AbstractResource
          org.jboss.seam.captcha.CaptchaImage

    @Startup
    @Scope(value=APPLICATION)
    @Name(value="org.jboss.seam.captcha.captchaImage")
    @Intercept(value=NEVER)
    @Install(precedence=0,
             classDependencies="com.octo.captcha.service.image.ImageCaptchaService")
    public class CaptchaImage

extends AbstractResource

Provides Captcha image resources

Author:
  Shane Bryzak

Constructor Summary
`CaptchaImage()`

Method Summary
`void` | `create()`
`void` | `getResource(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected String` | `getResourcePath()`
`static CaptchaImage` | `instance()`
`boolean` | `validateResponse(String id, String response)`

Methods inherited from class org.jboss.seam.servlet.AbstractResource
`getServletContext, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaptchaImage

    public CaptchaImage()

Method Detail

### instance

    public static CaptchaImage instance()

### validateResponse

    public boolean validateResponse(String id,
                                    String response)

### create

    @Create
    public void create()

### getResourcePath

    protected String getResourcePath()

  Specified by:
    `getResourcePath` in class `AbstractResource`

### getResource

    public void getResource(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)
                     throws IOException

  Specified by:
    `getResource` in class `AbstractResource`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD